# Save resized image

This function resizes a specified image.

Important:

When you disable the WebServer role, the system disables this function.

Endpoint: GET /ImageManager/resize_image
Version: 11.136.0.25
Security: BasicAuth

## Query parameters:

  - `height` (integer, required)
    The height to which to set the image size.
    Example: 300

  - `image_file` (string, required)
    The name of the file to scale.

Note:

Use the absolute filepath or a filepath relative to the user's home directory.
    Example: "/images/image.jpg"

  - `width` (integer, required)
    The width to which to set the image size.
    Example: 200

  - `save_original_as` (string)
    The path to the directory in which to save a copy the original
image file.

Note:

* If you don't pass this parameter, the function doesn't save
a copy of the original image.
* Use the absolute filepath or a filepath relative to the user's home directory.
    Example: "images/original.jpg"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "resize_image"

  - `module` (string)
    The name of the module called.
    Example: "ImageManager"

  - `result` (object)

  - `result.data` (string)
    The absolute filepath to the resized image.
    Example: "/home/cptest1/images/myimage.jpg"

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    * 1 — Success.
* 0 — Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


